[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.RestoredHeight

The height of the form when it is resized.

## Declaration

Source position: forms.pp line 818

`public property TCustomForm.RestoredHeight : Integer read FRestoredHeight;`

## Description

RestoredHeight is a read-only Integer property which contains the height for the form when size is altered in WMSize or WMMove message handlers. The property value is applied when the asynchronous queued event handler for the form is executed and calls the DoOnChangeBounds method.

## See also

TCustomForm.WMSize |  | Handles the LM_SIZE window message for the form.
TControl.Height |  | The vertical size for the control.
TControl.DoOnChangeBounds |  | Signals OnChangeBounds event handlers for the control.